<?php
/***************************************************************************
 *   copyright				: (C) 2008, 2009 WeBid
 *   site					: http://www.webidsupport.com/
 ***************************************************************************/

/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version. Although none of the code may be
 *   sold. If you have been sold this script, get a refund.
 ***************************************************************************/

if (!defined('InWeBid')) exit();

// CHARSET ENCODING
// Change the charset according to the language used in this file.
$CHARSET = "ISO-8859-1";
// DOCUMENT DIRECTION
// Change the $DOCDIR variable below according to the document direction needed
// by the language you are using.
// Possible values are:
// - ltr (default) - means left-to-right document (almost any language)
// - rtl - means right-to-left document (i.e. arabic, hebrew, ect).
$DOCDIR = "ltr";
// Error messages and user interface messages are below. Translate them taking care of leaving
// The PHP and HTML tags unchanged.
// Error messages =============================================================
$ERR_001 = "Database access error. Please contact the site administrator.";
$ERR_002 = "Name missing";
$ERR_003 = "Username missing";
$ERR_004 = "Password missing";
$ERR_005 = "Please, repeat your password";
$ERR_006 = "Passwords do not match";
$ERR_007 = "E-mail address missing";
$ERR_008 = "Please, insert a valid e-mail address";
$ERR_009 = "The username already exists in the database";
$ERR_010 = "Username too short (min 6 chars)";
$ERR_011 = "Password too short (min 6 chars)";
$ERR_012 = "Address missing";
$ERR_013 = "City missing";
$ERR_014 = "Country missing";
$ERR_015 = "ZIP/Post code missing";
$ERR_016 = "Please, insert a valid ZIP/Post code";
$ERR_017 = "Item's title missing";
$ERR_018 = "Item's description missing";
$ERR_019 = "Starting bid missing";
$ERR_020 = "Minimum quantity field is not correct";
$ERR_021 = "Reserve price missing";
$ERR_022 = "The reserve price you inserted is not correct";
$ERR_023 = "Choose a category for your item";
$ERR_024 = "Choose a payment method";
$ERR_025 = "User unknown";
$ERR_026 = "Password incorrect";
$ERR_027 = "Currency symbol missing";
$ERR_028 = "Please, insert a valid e-mail address";
$ERR_029 = "User data are already registered";
$ERR_030 = "Fields must be numeric and in nnnn.nn format";
$ERR_031 = "The form you are submitting is not complete";
$ERR_032 = "One or both the e-mail addresses are not correct";
$ERR_033 = "Invalid confirmation link";
$ERR_034 = "Your bid must be at least: ";
$ERR_035 = "Days field must be numeric";
$ERR_036 = "The seller cannot bid in his/her own auctions";
$ERR_037 = "Search keyword cannot be empty";
$ERR_038 = "Login incorrect";
$ERR_039 = "You have already confirmed your registration.";
$ERR_040 = "You are the winning bidder and cannot place a bid lower than your previous maximum bid.";
$ERR_041 = "Please, choose a rate between 1 and 5";
$ERR_042 = "You comment is missing";
$ERR_043 = "Invalid field format: must be numeric";
$ERR_044 = "A user must be a member of atleast one group";
$ERR_047 = "Required fields missing";
$ERR_048 = "Incorrect login";
$ERR_049 = "The category's name cannot be empty";
$ERR_050 = "At least one group must have Auto Join enabled";
$ERR_051 = "Please, insert a valid number of digits";
$ERR_054 = "Please, fill in both the password fields";
$ERR_055 = "User <I>%s</I> already exists in the database";
$ERR_056 = "Bid increment value missing";
$ERR_057 = "Bid increment values must be numeric";
$ERR_058 = "Incorrect money format.";
$ERR_059 = "Your previous bid for this auction is higher than your current bid.<br>  In Dutch Auctions you may not place a bid if your previous <b>amount of bid times the quantity</b> is greater than your <b>amount of current bid times the quantity</b>.";
$ERR_060 = "The start date cannot be in the past.";
$ERR_061 = "The buy now price you inserted is not correct";
$ERR_062 = "You may not set a reserve price in a Dutch Auction";
$ERR_063 = "You may not use custom increment in a Dutch Auction";
$ERR_064 = "You may not use the Buy Now feature in a Dutch Auction";
$ERR_065 = "Error updating information";
$ERR_066 = "Error deleting information";
$ERR_067 = "Required fields missing (all fields are required).";
$ERR_068 = "Chosen theme does not exist";
$ERR_069 = "Currency conversion failed";
$ERR_070 = "This message doesn't exist";
$ERR_071 = "Username is invalid can only contain letters and numbers";
$ERR_072 = "You must enter a bid amount";
$ERR_073 = "You cannot bid on an auction that has not yet started";
$ERR_074 = "You have already left feedback on this transaction";
$ERR_075 = 'No bids';

$ERR_100 = "User does not exist";
$ERR_101 = "Password incorrect";
$ERR_102 = "User does not exist";
$ERR_103 = "You cannot rate yourself";
$ERR_104 = "All fields required";
$ERR_105 = "Username does not exist";
$ERR_106 = "<br><br>No user specified";
$ERR_107 = "Username is too short";
$ERR_108 = "Password is too short";
$ERR_109 = "Passwords do not match";
$ERR_110 = "E-mail address incorrect";
$ERR_111 = "Such a user already exists";
$ERR_112 = "Data missing";
$ERR_113 = "You must be at least 18 years old to register";
$ERR_114 = "No active auctions for this category";
$ERR_115 = "E-mail address already used";
$ERR_117 = "Invalid date of birth";
$ERR_122 = "No auction found";
$ERR_600 = 'Invalid auction type';
$ERR_601 = "Quantity field not correct";
$ERR_602 = "Images must be GIF or JPG";
$ERR_603 = "The image is too large.";
$ERR_606 = "The specified auction ID is not correct";
$ERR_607 = "Your bid is below the minimum bid";
$ERR_608 = "The specified quantity is not valid, you cannot bid for more items than are available";
$ERR_609 = "User does not exist";
$ERR_610 = "Fill in your username and password";
$ERR_611 = "Password incorrect";
$ERR_612 = "You cannot bid, you are the seller!";
$ERR_614 = "This auction is closed";
$ERR_616 = "Zip/Post code too short";
$ERR_617 = "Telephone number incorrect";
$ERR_618 = "Your account has been suspended by admin.";
$ERR_619 = "This auction has been suspended";
$ERR_620 = "Your account has yet to be activated please check your emails for the activation link.";
$ERR_621 = "Your account has yet to be activated by admin.";
$ERR_622 = "No such auction.";
$ERR_623 = "The auction you are trying to find either never existed or has been removed.";
$ERR_700 = "Incorrect date format";
$ERR_701 = "Invalid quantity (must be >0).";
$ERR_702 = "Current Bid must be greater than minimum bid.";
$ERR_704 = "<br>You may not leave feedback about this user! <br>This auction is not closed!";
$ERR_705 = "You may only leave feedback, if you have a closed transaction with this user!";
$ERR_706 = "<I>Max. number of pictures</I> must be numeric.";
$ERR_707 = "<I>Max picture size</I> cannot be zero.";
$ERR_708 = "<I>Max picture size</I> must be numeric.";
$ERR_709 = "The picture you uploaded is too big. It cannot exceed ";
$ERR_710 = "Wrong file type. Allowed types are: GIF, PNG and JPEG";
$ERR_711 = "You cannot buy, you are the seller!";
$ERR_712 = "<b>Buy It Now</b> is not available for this auction";
$ERR_713 = 'The value from must be less than the value to';
$ERR_714 = 'The relist value must be numeric';
$ERR_715 = 'You cannot choose to relist that many times';
$ERR_5000 = "Messages to show must be numeric";
$ERR_5001 = "Messages to show cannot be zero";
$ERR_5002 = "You must select at least one statistic type (accesses, browsers &amp; platforms, by country)";
$ERR_5014 = "Subject or message missing";
$ERR_5029 = "Name missing";
$ERR_5030 = "Username missing";
$ERR_5031 = "Password missing";
$ERR_5032 = "Please enter your password twice";
$ERR_5033 = "E-mail address missing";
$ERR_5034 = "Address missing";
$ERR_5035 = "City missing";
$ERR_5036 = "Province missing";
$ERR_5037 = "Country missing";
$ERR_5038 = "ZIP/Post code missing";
$ERR_5039 = "Telephone missing";
$ERR_5040 = "Birthdate missing or incomplete";
$ERR_5045 = "The reserve price cannot be less than the minimum bid";
$ERR_5046 = "The buy now price cannot be less than the minimum bid and/or the reserve price";
$ERR_25_0001 = "Please choose a sub-category";
$ERR_25_0002 = "<p>URL file-access is disabled on your server so WeBid is unable to run the version check</p>";

// UI Messages =============================================================
$MSG['001'] = "New user registration";
$MSG['002'] = "Your name";
$MSG['003'] = "Username";
$MSG['004'] = "Password";
$MSG['005'] = "Please, repeat your password";
$MSG['006'] = "Your e-mail address";
$MSG['007'] = "Submit";
$MSG['008'] = "Delete";
$MSG['009'] = "Address";
$MSG['010'] = "City";
$MSG['011'] = "State/Province";
$MSG['012'] = "ZIP/Post Code";
$MSG['013'] = "Telephone";
$MSG['014'] = "Country";
$MSG['015'] = "--Select here";
$MSG['016'] = "Registration completed. Your data has been received.<br>A confirmation e-mail has been sent to: <i>%s</i>";
$MSG['016_a'] = "Registration completed. Your data has been received.<br>The site admin will shortly review your account, once your account has been accepted by the admin you will be able to login";
$MSG['016_b'] = "Registration completed. Your data has been received.<br>You may now login using your username and password.";
$MSG['017'] = "Item title";
$MSG['018'] = "Item description";
$MSG['019'] = "Default Image";
$MSG['020'] = "Auction starts with";
$MSG['021'] = "Reserve price";
$MSG['022'] = "Duration";
$MSG['023'] = "Shipping fee";
$MSG['024'] = "Your new password";
$MSG['025'] = "Shipping conditions";
$MSG['026'] = "Payment methods";
$MSG['027'] = "Choose a category";
$MSG['028'] = "Sell an item";
$MSG['029'] = "No";
$MSG['030'] = "Yes";
$MSG['031'] = "Buyer pays shipping expenses";
$MSG['032'] = "Seller pays shipping expenses";
$MSG['033'] = "International shipping";
$MSG['034'] = "Preview auction";
$MSG['035'] = "Reset form";
$MSG['036'] = "Submit my data";
$MSG['037'] = "No image available";
$MSG['038'] = "Asking Price";
$MSG['039'] = "No reserve price";
$MSG['040'] = "Submit auction";
$MSG['041'] = "Item category";
$MSG['043'] = "Will NOT ship internationally";
$MSG['044'] = "Fill in your username and password and submit the form.";
$MSG['045'] = "Users management";
$MSG['046'] = "You can still <a href='sell.php?mode=recall'>make changes</a> to your auction";
$MSG['047'] = " new";
$MSG['048'] = "User Registration Fields";
$MSG['049'] = "If you are not registered, ";
$MSG['050'] = "(min 6 chars)";
$MSG['051'] = "Main page";
$MSG['052'] = "Login";
$MSG['053'] = "Edit admin e-mail";
$MSG['054'] = "Submit new e-mail";
$MSG['055'] = "Edit the admin e-mail address below";
$MSG['056'] = "E-mail address updated";
$MSG['057'] = "Edit the currency symbol below";
$MSG['058'] = "Submit new currency";
$MSG['059'] = "Email Sent";
$MSG['060'] = "Currency symbol updated";
$MSG['067'] = "View Open Auctions";
$MSG['068'] = "Allow Custom Increments";
$MSG['069'] = "Auctions Duration";
$MSG['070'] = "User can set custom bid increments for thier auctions (this is the minimum difference between two bids)";
$MSG['071'] = "Update";
$MSG['072'] = " users are awaiting feedback from you";
$MSG['073'] = "Lines delete";
$MSG['074'] = "Use the checkbox Delete and the button DELETE to delete lines. Simply edit the text fields and press UPDATE to save the changes.";
$MSG['075'] = "Payment Methods";
$MSG['076'] = "Currency Symbol";
$MSG['077'] = "Edit admin e-mail address";
$MSG['078'] = "Categories Table";
$MSG['079'] = "Your Auction Has Closed";
$MSG['080'] = "Resynchronise or Reset Caches";
$MSG['081'] = "Countries Table";
$MSG['082'] = "Convert";
$MSG['083'] = "of this currency";
$MSG['084'] = "Message posted";
$MSG['085'] = "::: CURRENCY CONVERTER :::";
$MSG['086'] = "Categories table updated";
$MSG['087'] = "Description";
$MSG['088'] = "into this currency";
$MSG['089'] = "Process changes";
$MSG['090'] = "Countries table updated";
$MSG['091'] = "Change language";
$MSG['092'] = 'Edit, delete or add payment methods using the form below. These are alternative external payment options, to enable or disable the inbuilt payment gateways see the <a href="fee_gateways.php">payment gateway settings</a> page.';
$MSG['093'] = "Payment methods table updated";
$MSG['094'] = "Edit, delete or add countries using the form below.";
$MSG['095'] = "Welcome, You're Now A Member!";
$MSG['096'] = "Actual language";
$MSG['097'] = "Days";
$MSG['098'] = "Registration Confirmation";
$MSG['099'] = "Your Auction Has Been Confirmed";
$MSG['100'] = "Your auction has been properly received.<br>A confirmation e-mail has been sent to your e-mail address.<br>";
$MSG['101'] = "Auction URL: ";
$MSG['103'] = " Search ";
$MSG['104'] = "Browse ";
$MSG['105'] = "View history";
$MSG['106'] = "Send to a friend";
$MSG['107'] = "User's e-mail";
$MSG['108'] = "View picture";
$MSG['109'] = "Day";
$MSG['110'] = "Admin";
$MSG['111'] = "Auction started";
$MSG['112'] = "Auction ends";
$MSG['113'] = "Auction ID";
$MSG['114'] = "No picture available";
$MSG['115'] = "Bid now!<br>It's FREE";
$MSG['116'] = "Current Bid";
$MSG['117'] = "Higher bidder";
$MSG['118'] = "Ends within";
$MSG['119'] = "# of bids";
$MSG['120'] = "Bid increment";
$MSG['121'] = "Place Your Bid Here:";
$MSG['122'] = "Edit, delete or add auction durations using the form below";
$MSG['123'] = "Durations table updated";
$MSG['124'] = "Minimum bid";
$MSG['125'] = "Seller";
$MSG['126'] = " days, ";
$MSG['126b'] = " day, ";
$MSG['126a'] = "days ago";
$MSG['127'] = "Starting Bid";
$MSG['128'] = "Bid Increments";
$MSG['129'] = "ID";
$MSG['130'] = "Bid";
$MSG['131'] = "Buyer";
$MSG['132'] = "Categories Translation Table";
$MSG['133'] = "Bid increments table";
$MSG['135'] = "Edit, delete or add increments using the form below.<br>
			Be careful, there's no control over the table's values congruence.
			You must take care to check it yourself. The only data check performed is over the fields content (must be numeric) but the relation between them is not checked.";
$MSG['136'] = "and";
$MSG['137'] = "Increment";
$MSG['138'] = "Back to the auction";
$MSG['139'] = "Send this auction to a friend";
$MSG['140'] = "Your friend's name";
$MSG['141'] = "Your friend's e-mail";
$MSG['142'] = "Enable Featured Items";
$MSG['143'] = "Your e-mail";
$MSG['144'] = "Add a comment";
$MSG['145'] = "Send to your friend";
$MSG['146'] = "This auction has been sent to ";
$MSG['147'] = "Send to another friend";
$MSG['148'] = "Help";
$MSG['149'] = "You can contact this user using the form below.";
$MSG['150'] = "Send request";
$MSG['151'] = " The e-mail you requested is ";
$MSG['152'] = "Confirm your bid";
$MSG['153'] = "To bid you must be registered.";
$MSG['154'] = "You Are Bidding on:";
$MSG['155'] = "Item:";
$MSG['156'] = "Your bid:";
$MSG['157'] = "Allows sellers to make their auctions featured on the homepage and category pages";
$MSG['158'] = "Submit my bid";
$MSG['159'] = "Your bid has been registered";
$MSG['159'] = "Bidder:";
$MSG['160'] = "Increments table updated";
$MSG['161'] = "Edit, delete or add categories using the form below.";
$MSG['162'] = "Enable Highlighted Items";
$MSG['163'] = "Register!";
$MSG['164'] = "Allows sellers to make their auctions highlighted (displayed listing in a different colour in search results etc)";
$MSG['165'] = "Category: ";
$MSG['166'] = "Home";
$MSG['167'] = "Picture";
$MSG['168'] = "Auction";
$MSG['169'] = "Actual bid";
$MSG['170'] = "Bids #";
$MSG['171'] = "Ends in";
$MSG['171a'] = "Ended";
$MSG['172'] = "No active auctions in this category";
$MSG['173'] = "Search result: ";
$MSG['174'] = "Enable Bold Items";
$MSG['175'] = "Date and hour";
$MSG['176'] = "Bidder";
$MSG['177'] = "Categories index";
$MSG['178'] = "Contact the bidder";
$MSG['179'] = "To get another user's e-mail address, just fill in your username and password.";
$MSG['180'] = " is:";
$MSG['181'] = "User's login";
$MSG['182'] = "Edit your personal data";
$MSG['183'] = "Your data has been updated";
$MSG['184'] = "Categories table has been updated.";
$MSG['185'] = "Currently viewing feedback for ";
$MSG['186'] = "<a href=\"javascript:history.back()\">Back</a>";
$MSG['187'] = "Your username";
$MSG['188'] = "Your password";
$MSG['189'] = "Total Due";
$MSG['190'] = "Your item's category";
$MSG['191'] = "Your copyright message";
$MSG['192'] = "This is a message that is added to the bottom of every page";
$MSG['193'] = "Auction's duration";
$MSG['194'] = "Allows sellers to make their auctions bold (displayed listing in bold in search results etc)";
$MSG['195'] = "Picture's URL";
$MSG['196'] = "Item's description";
$MSG['197'] = "Auction's title";
$MSG['198'] = "No items found";
$MSG['199'] = "Search";
$MSG['200'] = "Hello, ";
$MSG['201'] = "new user";
$MSG['202'] = "User's data";
$MSG['203'] = "Active auctions";
$MSG['204'] = "Closed auctions";
$MSG['205'] = "Your Control Panel";
$MSG['206'] = "User's profile";
$MSG['207'] = "Leave Feedback";
$MSG['208'] = "View Feedback";
$MSG['209'] = "Registered user since: ";
$MSG['210'] = "Contact ";
$MSG['211'] = "Start auction now";
$MSG['212'] = "Auctions:";
$MSG['213'] = "View active auctions";
$MSG['214'] = "View closed auctions";
$MSG['215'] = "Forgot your password?";
$MSG['216'] = "If you have lost or forgotten your password, please fill in your username and e-mail below.<br>A new password will be generated for you";
$MSG['217'] = "A new password has been sent to your e-mail address.";
$MSG['218'] = "View user's profile";
$MSG['219'] = "Active auctions: ";
$MSG['220'] = "Closed auctions: ";
$MSG['221'] = "User login";
$MSG['222'] = "User Feedback";
$MSG['223'] = "Leave your comment";
$MSG['224'] = "Choose a rate between 1 and 5";
$MSG['225'] = "Thanks for leaving your comment";
$MSG['226'] = "Your rating ";
$MSG['227'] = "Your comment ";
$MSG['228'] = "Valued by ";
$MSG['229'] = "Newest feedback:";
$MSG['230'] = "View all feedback";
$MSG['231'] = "REGISTERED USERS";
$MSG['232'] = "AUCTIONS ";
$MSG['233'] = "More";
$MSG['234'] = "Back &gt;&gt;";
$MSG['235'] = "Register now";
$MSG['236'] = "Bidder Privacy";
$MSG['237'] = "Activate Bidder Privacy?";
$MSG['238'] = "When you activate this option the bidders identity is hidden to everyone but the seller of the item";
$MSG['239'] = "Auctions";
$MSG['240'] = "From";
$MSG['241'] = "To";
$MSG['242'] = "Sent";
$MSG['243'] = "If you want to change your password, please fill in the two fields below. Otherwise leave them blank.";
$MSG['244'] = "Edit data";
$MSG['245'] = "Logout";
$MSG['246'] = "Logged in";
$MSG['247'] = "Bidder Privacy Settings Updated";
$MSG['248'] = "Confirm your registration";
$MSG['249'] = "Confirm";
$MSG['250'] = "Refuse";
$MSG['251'] = "---- Select here";
$MSG['252'] = "Date of Birth";
$MSG['253'] = "(mm/dd/yyyy)";
$MSG['254'] = "Suggest a new category";
$MSG['255'] = "Auction's ID";
$MSG['256'] = "Or select the image you want to upload (optional)";
$MSG['257'] = "Auction's type";
$MSG['258'] = "Items quantity";
$MSG['259'] = "Item";
$MSG['260'] = "Or start at:";
$MSG['261'] = "Auction type";
$MSG['262'] = "Your suggestion";
$MSG['263'] = "Fee Amount";
$MSG['264'] = "You still can ";
$MSG['265'] = "make changes";
$MSG['266'] = " to this auction";
$MSG['267'] = "If you reached this page, you or someone claiming to be you, signed up at this site.
			<br>To confirm your registration simply press the <b>Confirm</b> button below.
			<br>If you didn't want to register and want to delete your data from our database, use the <b>Refuse</b> button.";
$MSG['268'] = "Additional options";
$MSG['269'] = "Your bid has been registered";
$MSG['270'] = "Back";
$MSG['271'] = "Your bid has been processed";
$MSG['272'] = "Auction:";
$MSG['273'] = "Make featured";
$MSG['274'] = "Make bold";
$MSG['275'] = "Go!";
$MSG['276'] = "Categories";
$MSG['277'] = "All categories";
$MSG['278'] = "Last created auctions";
$MSG['279'] = "Higher bids";
$MSG['280'] = "Next Ending!";
$MSG['281'] = "Help Column";
$MSG['282'] = "News";
$MSG['283'] = "minimum";
$MSG['284'] = "Quantity";
$MSG['285'] = "Go back";
$MSG['286'] = " and specify a valid bid.";
$MSG['287'] = "Category";
$MSG['288'] = "Search keyword(s) cannot be empty";
$MSG['289'] = "Total pages:";
$MSG['290'] = "Total items:";
$MSG['291'] = "items per page shown";
$MSG['292'] = "Make highlighted";
$MSG['293'] = "NICK";
$MSG['294'] = "NAME";
$MSG['295'] = "COUNTRY";
$MSG['296'] = "E-MAIL";
$MSG['297'] = "ACTION";
$MSG['298'] = "Edit";
$MSG['299'] = "Activate User";
$MSG['300'] = "Suspend";
$MSG['301'] = "users found in the database";
$MSG['302'] = "Name";
$MSG['303'] = "E-mail";
$MSG['304'] = "Delete User";
$MSG['305'] = "Suspend User";
$MSG['306'] = "Reactivate User";
$MSG['307'] = "Are you sure you want to delete this user?";
$MSG['308'] = "Are you sure you want to suspend this user?";
$MSG['309'] = "Are you sure you want to reactivate this user?";
$MSG['310'] = "Reactivate";
$MSG['311'] = "auctions found in the database";
$MSG['312'] = "Title";
$MSG['313'] = "User";
$MSG['314'] = "Date";
$MSG['319'] = "Shipping";
$MSG['321'] = "Suspend auction";
$MSG['322'] = "Reactivate auction";
$MSG['323'] = "Are you sure you want to suspend this auction?";
$MSG['324'] = "Are you sure you want to reactivate this auction?";
$MSG['325'] = "Delete auction";
$MSG['326'] = "Are you sure you want to delete this auction?";
$MSG['328'] = "Colour";
$MSG['329'] = "Image Location";
$MSG['330'] = "Thank you for confirming your registration!<br>The registration process completed and you can now participate in our site's activities.<br>";
$MSG['331'] = "Your registration has been deleted permanently from our database.";
$MSG['332'] = "Subject";
$MSG['333'] = "Message";
$MSG['334'] = "Contact with";
$MSG['335'] = "Contact from ";
$MSG['336'] = "regarding your auction: ";
$MSG['337'] = "Your message has been sent to ";
$MSG['340'] = "From";
$MSG['341'] = "View all news";
$MSG['342'] = " News";
$MSG['343'] = "Edit news";
$MSG['344'] = "Time Settings";
$MSG['345'] = "Choose the time zone you want all the times on your site to be in";
$MSG['346'] = "Time Zone";
$MSG['347'] = "Time settings updated";
$MSG['348'] = "Batch Procedures Settings";
$MSG['349'] = "Reply";
$MSG['351'] = "Back to inbox";
$MSG['352'] = "Email Format";
$MSG['354'] = "Closed Auctions";
$MSG['355'] = "Enable Buy it now only auto disable";
$MSG['356'] = "Buy it now only limit";
$MSG['357'] = "percent";
$MSG['358'] = "The Buy it now auto disable feature will automatically disable the buy it now only option on the sell page when or if the percentage of buy it now only auctions reach the set value, you may want to use this as a deterrent to stop people making lots of spam buy it now only auctions";
$MSG['359'] = " Updated";
$MSG['363'] = "Dates Format";
$MSG['364'] = "Date";
$MSG['365'] = "Admin Users";
$MSG['367'] = "New admin user";
$MSG['368'] = "Mass category add<br><span class=\"smallspan\">Just enter category names and put each category on a new line</span>";
$MSG['371'] = "WeBid needs to periodically run <CODE>batch.php</CODE> to close expired auctions and send notification e-mails to the seller and/or the winner. The recommended way to run <CODE>batch.php</CODE> is to set up a <a href=\"http://www.aota.net/Script_Installation_Tips/cronhelp.php4\" target=\"_blank\">cronjob</a> if you run a Unix/Linux server.<br>If for any reason you can't run a cronjob on your server, you can choose the <b>Non-batch</b> option below to have <CODE>batch.php</CODE> run by WeBid itself: in this case <CODE>cron.php</CODE> will be run each time someone access your home page.";
$MSG['372'] = "Run cron";
$MSG['373'] = "Batch";
$MSG['374'] = "Non-batch";
$MSG['375'] = "According to the default in WeBid's Settings, <CODE>cron.php</CODE> automatically deletes auctions older than 30 days.
			<br>You may change the time period below.";
$MSG['376'] = "Delete auctions older than";
$MSG['377'] = " days";
$MSG['378'] = "Batch settings updated.";
$MSG['379'] = "Choose the format you want date to appear on your site.";
$MSG['382'] = "mm/dd/yyyy";
$MSG['383'] = "dd/mm/yyyy";
$MSG['384'] = "Date format updated.";
$MSG['385'] = "Recent Feedback";
$MSG['386'] = "Last Month";
$MSG['387'] = "Last Six Months";
$MSG['388'] = "Last Twelve Months";
$MSG['389'] = "Feedback As Seller";
$MSG['390'] = "Feedback As Buyer";
$MSG['391'] = "Amount";
$MSG['392'] = "Fee Type";
$MSG['393'] = "flat";
$MSG['394'] = "Add";
$MSG['395'] = "Enable/Disable Fees";
$MSG['396'] = "Fee Settings Updated";
$MSG['397'] = "Do you want your auction site to be completely free or do you want to charge for it";
$MSG['398'] = "Send Newsletter";
$MSG['400'] = "E-mail address";
$MSG['401'] = "Privacy Policy";
$MSG['402'] = "Privacy Policy Page";
$MSG['403'] = "Activate Privacy Policy Page?";
$MSG['404'] = "Privacy Policy content<br>(HTML allowed)";
$MSG['405'] = "Activate this option if you want a Privacy Policy link to appear in the footer of your pages.";
$MSG['406'] = "Privacy Policy Settings Updated";
$MSG['409'] = "Error Handling";
$MSG['410'] = "Fatal errors that occur during WeBid's execution (typically MySQL errors) will redirect users to an error page.
			You can customise the error message you want to appear in the error page below.";
$MSG['411'] = "Error Text";
$MSG['412'] = "Error E-mail Address";
$MSG['413'] = "Error Handling settings updated.";
$MSG['415'] = "Error";
$MSG['417'] = "General";
$MSG['418'] = "Are you sure you want to activate this user?";
$MSG['419'] = "Are you sure you want to delete this user? All their auctions and bids will be deleted and this cannot be undone";
$MSG['420'] = "The user is the SELLER in the following auctions:<br>";
$MSG['421'] = "The user has placed bids on %s auction(s).";
$MSG['422'] = "Outstanding payments";
$MSG['423'] = "Payment Success";
$MSG['424'] = "Your payment has been confirmed.<br><br>Thank you for your business.";
$MSG['425'] = "Payment Failure";
$MSG['426'] = "Your payment hasn't been registered, or was invalid.<br> <br> Sorry for the inconvenience.";
$MSG['427'] = "Enable Proxy Bidding";
$MSG['428'] = "Enable/ Disable the proxy bidding feature";
$MSG['429'] = "There were no bids or reserve price was not met";
$MSG['430'] = "User Signup Fee";
$MSG['431'] = "Auction Fees";
$MSG['432'] = "Auction Setup Fee";
$MSG['433'] = "Home Page Featured Fee";
$MSG['434'] = "Highlighted Item Fee";
$MSG['435'] = "Images Upload Fee";
$MSG['436'] = "Buy Now Fee";
$MSG['437'] = "Relist Fee";
$MSG['439'] = "Bold Item Fee";
$MSG['440'] = "Reserve Price Fee";
$MSG['441'] = "Please create your username and password";
$MSG['442'] = "Please enter your username and password";
$MSG['443'] = "%s currently has a full inbox at the moment please try again later";
$MSG['444'] = "Messages deleted";
$MSG['445'] = "Payments Gateways";
$MSG['446'] = "Required?";
$MSG['447'] = "Enabled?";
$MSG['448'] = "User Groups";
$MSG['449'] = "Group ID";
$MSG['450'] = "Group Name";
$MSG['451'] = "User Count";
$MSG['452'] = "Add/ Edit Group";
$MSG['453'] = "Winners details";
$MSG['454'] = "Auctions you won";
$MSG['455'] = "Winner";
$MSG['456'] = "Winner's E-mail";
$MSG['457'] = "Winner's Bid";
$MSG['458'] = "Auction: ";
$MSG['460'] = "Seller's E-mail";
$MSG['461'] = "Your Bid";
$MSG['464'] = "Advanced Search";
$MSG['471'] = "Your Auction Watch";
$MSG['472'] = "Item Watch";
$MSG['496'] = "Buy Now";
$MSG['497'] = "Buy Now Price";
$MSG['498'] = "Item purchased successfully<br>";
$MSG['499'] = "Total neutral feedback received: ";
$MSG['500'] = "Total positive feedback received: ";
$MSG['501'] = "Total negative feedback received: ";
$MSG['502'] = "Total feedback received: ";
$MSG['503'] = "Feedback";
$MSG['504'] = "comment";
$MSG['505'] = "Back to user's profile";
$MSG['506'] = "sent feedback on: ";
$MSG['507'] = "Hide history";
$MSG['508'] = "new messages";
$MSG['509'] = "User's data";
$MSG['510'] = "There are currently no Reminders to display.";
$MSG['511'] = "Edit user";
$MSG['512'] = "Edit auction";
$MSG['514'] = "<b>Reserve not met</b>";
$MSG['515'] = 'Activate User';
$MSG['516'] = "News Management";
$MSG['517'] = " news items found in the database.";
$MSG['518'] = "Add new";
$MSG['519'] = "Title";
$MSG['520'] = "Content";
$MSG['521'] = "Activate";
$MSG['522'] = "Buyer fees due";
$MSG['523'] = "Final value fees due";
$MSG['524'] = "SETTINGS";
$MSG['525'] = "Admin users management";
$MSG['526'] = "General Settings";
$MSG['527'] = "Site name";
$MSG['528'] = "Site URL";
$MSG['530'] = "Save changes";
$MSG['531'] = "Your logo";
$MSG['532'] = "Display login box?";
$MSG['533'] = "Display news box?";
$MSG['534'] = "Show acceptance text?";
$MSG['535'] = "Your site's name will appear in the e-mail messages WeBid sends to users";
$MSG['536'] = "This must be the complete URL (starting with <b>http://</b>) of your WeBid installation.<br>Be sure to include the ending slash.";
$MSG['537'] = "Select <b>Yes</b> if you want the users login box to be displayed in the Home page. Otherwise select <b>No</b>";
$MSG['538'] = "Select <b>Yes</b> if you want the news box to be displayed in the Home page. Otherwise select <b>No</b>";
$MSG['539'] = "Selecting the <b>Yes</b> option below will make WeBid display the text you fill in the text box below in the users registration page just before the submit button.<br>
			This is typically used to display some legal notes users accept submitting the registration form.";
$MSG['540'] = "Admin e-mail";
$MSG['541'] = "The admin e-mail address is used to send automatic e-mail messages";
$MSG['542'] = "General settings updated";
$MSG['543'] = "Make this question public";
$MSG['544'] = "Money format";
$MSG['545'] = "US style: 1,250.00";
$MSG['546'] = "European style: 1.250,00";
$MSG['547'] = "Set to zero or leave blank if you don't want decimal digits in your money representation";
$MSG['548'] = "Decimal digits";
$MSG['549'] = "Symbol position";
$MSG['550'] = "Before the amount (i.e. USD 200)";
$MSG['551'] = "After the amount (i.e. 200 USD)";
$MSG['552'] = "Questions";
$MSG['553'] = "Currency settings updated";
$MSG['554'] = "Number of news you want to show";
$MSG['555'] = "Asker";
$MSG['556'] = "Current logo";
$MSG['557'] = "Item Details";
$MSG['558'] = "Created";
$MSG['559'] = "Last login";
$MSG['560'] = "Status";
$MSG['561'] = "DELETE";
$MSG['562'] = "Edit admin user";
$MSG['563'] = "If you want to change the user's password use the two fields below. To maintain the current password leave them blank.";
$MSG['564'] = "Repeat password";
$MSG['566'] = "active";
$MSG['567'] = "not active";
$MSG['568'] = "plus %s more";
$MSG['569'] = "Insert user";
$MSG['570'] = "Never logged in";
$MSG['578'] = "Can Sell";
$MSG['579'] = "Can Buy";
$MSG['580'] = "Auto Join";
$MSG['581'] = "Please proceed to one of the payment gateways listed below to pay the seller the amount of <b>%s</b>.";
$MSG['582'] = "Please proceed to one of the payment gateways listed below to credit your account by amount of <b>%s</b>.";
$MSG['583'] = "To activate your account please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['590'] = "To finalise your auction please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['591'] = "To finalise the relisting your auction(s) please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['592'] = "Logged in as:";
$MSG['593'] = "Reminders";
$MSG['594'] = "Acceptance text";
$MSG['597'] = "Activate banners support?";
$MSG['600'] = "Banners settings updated";
$MSG['602'] = "Upload a new logo (max. 50 KB)";
$MSG['603'] = "Receive Newsletter?";
$MSG['604'] = "If you activate this option, users will be able to subscribe to your newsletter from the registration page.<br>The \"Newsletter management\" will let you send e-mail messages to the subscribed users";
$MSG['605'] = "Message Body";
$MSG['606'] = "By clicking save changes the newsletter will be sent to all of the users who are signed up to receive the newsletter in the selected group.";
$MSG['607'] = "Newsletter Submission";
$MSG['608'] = "Would you like to receive our Newsletter?";
$MSG['609'] = "Check NO to unsubscribe to our Newsletter";
$MSG['610'] = "Make a selection in the image below of what you want to show in your thumbnail";
$MSG['611'] = "<b>This item has been viewed</b>";
$MSG['612'] = "<b>times</b>";
$MSG['613'] = "Thumbnail preview";
$MSG['614'] = "Use the built-in proportional increments table";
$MSG['615'] = "Use your custom fixed increment";
$MSG['616'] = "Save Thumbnail";
$MSG['617'] = "*NOTE*  If you want to change your password use the two fields below.<br>Otherwise leave them blank.";
$MSG['618'] = "Cancel";
$MSG['619'] = "Open Auctions";
$MSG['620'] = "Your bids";
$MSG['621'] = "Edit your personal profile";
$MSG['622'] = "My control panel";
$MSG['623'] = "View Messages";
$MSG['624'] = "Auction Title";
$MSG['625'] = "Started";
$MSG['626'] = "Ends";
$MSG['627'] = "N. Bids";
$MSG['628'] = "Max. Bid";
$MSG['629'] = "*If you click cancel the thumbnail image for your auction will be a squashed down version of the image you uploaded/set as default";
$MSG['630'] = "Re-list";
$MSG['631'] = "Process selected auctions";
$MSG['640'] = "*Note* If Dutch Auction you may not set a reserve price, custom increment amount or use the BUY NOW feature.";
$MSG['641'] = "Dutch auction";
$MSG['642'] = "Standard auction";
$MSG['645'] = "Post question for Seller";
$MSG['646'] = "You must be logged in to ask questions to the seller";
$MSG['647'] = "Ask";
$MSG['648'] = "Reply to questions";
$MSG['649'] = "Answer:";
$MSG['650'] = "Question:";
$MSG['651'] = "Question about your auction: %s";
$MSG['662'] = "<h2>Create thumbnail</h2>";
$MSG['663'] = "Picture Gallery";
$MSG['664'] = "If you activate this option, sellers will be able to upload additional pictures up to the maximum you specify (see below).";
$MSG['665'] = "Activate Picture Gallery?";
$MSG['666'] = "Max. Number of pictures";
$MSG['667'] = "Viewing user: ";
$MSG['668'] = "This auction has not yet started.";
$MSG['671'] = "Max. pictures size";
$MSG['672'] = "Kbytes";
$MSG['673'] = "You can upload up to ";
$MSG['674'] = "pictures.";
$MSG['675'] = "You will be charged ";
$MSG['676'] = "for each picture you upload.";
$MSG['677'] = "Upload Pictures";
$MSG['678'] = "Close";
$MSG['679'] = "Please, follow the steps below.";
$MSG['680'] = "Select the file to upload";
$MSG['681'] = "Upload file";
$MSG['682'] = "Repeat steps 1. and 2. for each picture. When finished click on the <I>Create Gallery</I> button below.<br>When you upload the first image or set one as the default you will need to create a thumbnail for it";
$MSG['683'] = "&gt;&gt;&gt; Create Gallery &lt;&lt;&lt;";
$MSG['684'] = "Filename";
$MSG['685'] = "Size (bytes)";
$MSG['686'] = "Default";
$MSG['687'] = "Uploaded Files";
$MSG['688'] = "You already uploaded ";
$MSG['689'] = " files";
$MSG['694'] = "View Gallery";
$MSG['699'] = "Your bid of ";
$MSG['700'] = " has been entered. ";
$MSG['701'] = " Your bid was not enough to make you the highest bidder!<br>Would you like to bid again?";
$MSG['718'] = "Auction Type";
$MSG['719'] = "Payment Details";
$MSG['720'] = "PayPal Email Address";
$MSG['724'] = "Additional Information";
$MSG['725'] = "Optimisation";
$MSG['726'] = "Enable the template cache?";
$MSG['727'] = "This will massively increase the speed of your site. It is recommended this is only disabled when making updates to your template";
$MSG['728'] = "Optimisation settings updated";
$MSG['729'] = "Set payment type";
$MSG['730'] = "This is how users will pay the fees. Balance mode is where the users can choose when to pay and live payments is where the user must pay for every action that has a fee";
$MSG['731'] = "Balance mode";
$MSG['732'] = "Live payments";
$MSG['733'] = "The following settings are only used when in balance mode";
$MSG['734'] = "Maximum Debt";
$MSG['735'] = "The maximum debt an account can have before they must pay it back";
$MSG['736'] = "Signup Credit";
$MSG['737'] = "The credit given to an account on its creation";
$MSG['738'] = "Suspend Accounts";
$MSG['739'] = "Suspend Accounts that are over the Debit Limit";
$MSG['740'] = "None";
$MSG['741'] = "Image";
$MSG['742'] = "reCaptcha";
$MSG['743'] = "Captcha type on registration page";
$MSG['744'] = "Captcha type on send auction to friend page";
$MSG['745'] = "Captcha are used to prevent spam it is generally a good idea to enable some sort of captcha";
$MSG['746'] = "Recaptcha public key";
$MSG['747'] = "Recaptcha private key";
$MSG['748'] = 'To use reCaptcha you must create an account at <a href="http://recaptcha.net/" class="new-window">http://recaptcha.net/</a> and request keys for the domain this site is sitting';
$MSG['749'] = 'Spam settings';
$MSG['750'] = 'Spam settings updated';
$MSG['751'] = 'You cannot use reCaptcha without the two keys';
$MSG['752'] = 'The string you entered for the image verification did not match what was displayed.';
$MSG['753'] = 'Account Suspended';
$MSG['754'] = 'You have reached the debt limit allowed on your account; your account will be suspended until this is paid back.<br>You can this back <a href="outstanding.php">here</a>';
$MSG['755'] = 'Paid';
$MSG['756'] = 'Pay Now';
$MSG['757'] = 'Security Code';
$MSG['758'] = 'Verify Code';
$MSG['759'] = 'Enable';
$MSG['760'] = 'Disable';
$MSG['761'] = 'Fee Settings Updated';
$MSG['762'] = 'Fee Gateway Settings Updated';
$MSG['763'] = 'Balance';
$MSG['764'] = 'Send payment reminder';
$MSG['765'] = 'Payment reminder sent';
$MSG['766'] = 'Invoice';
$MSG['767'] = 'Click on the button on the right to proceed to PayPal';
$MSG['768'] = 'Signup Fee';
$MSG['769'] = 'Pay listing fee';
$MSG['770'] = 'Pay relist fee';
$MSG['771'] = 'Default Name';
$MSG['772'] = 'Translation';
$MSG['773'] = 'Authorize.net Login ID';
$MSG['774'] = 'Authorize.net Transaction Key';
$MSG['775'] = 'Buyer Fee';
$MSG['776'] = "To finalise the sale please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['777'] = 'You have an outstanding payment of the buyers fee for the item %s; your account will be suspended until this is paid. You can pay for this now at <a href="%s">Here</a>';
$MSG['778'] = 'If you wish to via an alternative method contact <a href="profile.php?user_id=%s">%s</a> to find out how.';
$MSG['779'] = 'User Registration Fields Updated';
$MSG['780'] = 'Show On Registration Page';
$MSG['781'] = 'Birthday Field Required?';
$MSG['782'] = 'Address Field Required?';
$MSG['783'] = 'City Field Required?';
$MSG['784'] = 'State/Province Field Required?';
$MSG['785'] = 'Country Field Required?';
$MSG['786'] = 'Zip/Post Code Field Required?';
$MSG['787'] = 'Telephone Field Required?';
$MSG['788'] = 'Display Settings';
$MSG['789'] = 'Results shown per page';
$MSG['790'] = 'The maximum number of items before a page break';
$MSG['791'] = 'Final Price Fee';
$MSG['792'] = 'You need to pay for %s item(s)';
$MSG['793'] = ' items you\'re bidding on are ending soon';
$MSG['794'] = 'You have been outbid on %s items';
$MSG['795'] = 'Display Settings Updated';
$MSG['796'] = 'You have an outstanding payment of the final value fee for the item %s; your account will be suspended until this is paid. You can pay for this now at <a href="%s">Here</a>';
$MSG['797'] = 'Enable sutitles';
$MSG['798'] = 'Allows sellers to add a subtitle to thier auction which will appear on all auction lists';
$MSG['799'] = 'Enable Secondary Category';
$MSG['800'] = 'Allows sellers to add their auction to multiple categories';
$MSG['801'] = 'Shared SSL URL';
$MSG['802'] = 'If you\'re using shared SSL enter the URL here';
$MSG['803'] = 'Subtitle Fee';
$MSG['804'] = 'Extra Category Fee';
$MSG['805'] = 'Skip step';
$MSG['806'] = 'Item subtitle';
$MSG['807'] = 'Front Page Settings';
$MSG['808'] = 'This is the size of the thumbnail that will appear on lists of auctions such as when a user does a search';
$MSG['809'] = 'A field must be shown if it\'s a required field';
$MSG['810'] = 'A vaild PayPal email address is required';
$MSG['811'] = 'A vaild AuthNet id and password are required';
$MSG['812'] = 'File Name:';
$MSG['813'] = 'File Content:';
$MSG['814'] = 'Second Category';
$MSG['815'] = 'Are you sure you want to activate this user?';
$MSG['816'] = 'Gallery';
$MSG['817'] = 'Prices';
$MSG['818'] = 'You do not have permission to list items';
$MSG['819'] = 'You do not have permission to buy items';
$MSG['820'] = 'Account selling permission request';
$MSG['821'] = 'A vaild 2Checkout id is required';
$MSG['822'] = 'A vaild Moneybookers email address is required';
$MSG['823'] = 'A vaild Worldpay id is required';
$MSG['824'] = 'Worldpay ID';
$MSG['825'] = 'Moneybookers Email Address';
$MSG['826'] = '2Checkout ID';
$MSG['827'] = 'Weekly Report';
$MSG['828'] = 'Week';
$MSG['829'] = 'View by ';
$MSG['830'] = 'Month';
$MSG['831'] = 'No IP addresses have been banned as of yet.';
$MSG['832'] = 'Are you sure you want to delete the news item \'%s\'';
$MSG['833'] = 'Are you sure you want to delete the auction \'%s\'';
$MSG['834'] = 'Are you sure you want to delete this message (ID: %s)';
$MSG['835'] = 'Are you sure you want to delete the user \'%s\'';
$MSG['836'] = 'Membertypes Updated';
$MSG['837'] = '(contains %s FAQs)';
$MSG['838'] = 'Are you sure you want to process the following categories: ';
$MSG['839'] = 'What do you want to do with the FAQs in the following categories';
$MSG['840'] = 'Move to ';
$MSG['841'] = 'Admin Templates';
$MSG['842'] = 'Set Fees';
$MSG['843'] = 'What do you want to do with the auctions & subcategories in the following categories<br><small>(If you want to move them you must enter the category id of where you want them moved)</small>';
$MSG['844'] = 'Some categories selected to move could not be processed as no category ID was given to where they would be moved to';
$MSG['845'] = '<p><img src="' . $system->SETTINGS['siteurl'] . 'themes/admin/images/bullet_blue.png"> Shows a category contains children categories</p><p><img src="' . $system->SETTINGS['siteurl'] . 'themes/admin/images/bullet_red.png"> Shows a category contains auctions</p>';
$MSG['846'] = 'Account Balance';
$MSG['847'] = 'Price';
$MSG['848'] = 'Are you sure you want to delete the user feedback (ID: %s)';
$MSG['849'] = 'Enable Auto-Relist';
$MSG['850'] = 'Allow users to automatically relist auctions if they end without a winner';
$MSG['851'] = 'Max Relists';
$MSG['852'] = 'Set the maximum times an auction can be automatically relisted';
$MSG['853'] = 'You are not currently watching any items';
$MSG['854'] = 'Accounts';
$MSG['855'] = 'Choose View';
$MSG['856'] = 'Select Period';
$MSG['857'] = 'Total Invoiced';

$MSG['888'] = 'Error log is currently empty';
$MSG['889'] = "Error Log Purged";
$MSG['890'] = "Purge Log";
$MSG['891'] = "Error Log";
$MSG['892'] = "To be activated";
$MSG['893'] = "Total";
$MSG['894'] = "User Settings";
$MSG['895'] = "User Settings Updated";
$MSG['896'] = "This is the size of the thumbnail that will appear on the auctions listing page";
$MSG['897'] = "Additional auction options";
$MSG['898'] = "Paid";
$MSG['899'] = "Set as Paid";
$MSG['900'] = "View Winners";
$MSG['901'] = "Number of items";
$MSG['902'] = "HTML";
$MSG['903'] = "In which format do you want to receive your emails";
$MSG['904'] = "This auction is closed";
$MSG['905'] = "Someone Wants You To Check Out An Auction";
$MSG['906'] = "Your Bid Is No Longer The Winner";
$MSG['907'] = " - Your Item Sold!";
$MSG['908'] = " - No Winner";
$MSG['909'] = " Auction Closed - You Have Won Item";
$MSG['910'] = "No auctions exist for this user.";
$MSG['911'] = "closed";
$MSG['912'] = "Help Management";
$MSG['913'] = "topics found in the database";
$MSG['914'] = "Topic";
$MSG['915'] = "Text";
$MSG['916'] = "Help Topics Management";
$MSG['917'] = "Add help topic";
$MSG['918'] = "Other Help Topics:";
$MSG['919'] = "General Help";
$MSG['920'] = "Activate Buy Now?";
$MSG['921'] = "If you activate this option, users will be able to buy the item from the auction right away, if there are no bids placed for this item. This option must first be enabled by seller who opens the auction.";
$MSG['922'] = "Send question to seller";
$MSG['923'] = "Seller location";
$MSG['924'] = "Just Listed";
$MSG['925'] = "Closing Soon";
$MSG['926'] = "Big Ticket";
$MSG['927'] = "Very Expensive";
$MSG['928'] = "Cheap Items";
$MSG['929'] = "Popular Items";
$MSG['930'] = "Hot Items";
$MSG['931'] = "Buy Now";
$MSG['932'] = "Listings posted by %s";
$MSG['933'] = "Buy Now Only";
$MSG['934'] = "for user: ";
$MSG['935'] = 'Balance Payment';
$MSG['1000'] = "Search keywords or item number";
$MSG['1001'] = "Search Title <b>and</b> Description";
$MSG['1002'] = "Search in Categories";
$MSG['1003'] = "Price Range";
$MSG['1004'] = "Between";
$MSG['1005'] = " and ";
$MSG['1006'] = "Payment Choice";
$MSG['1008'] = "Located In";
$MSG['1009'] = "Ending";
$MSG['1010'] = "Today";
$MSG['1011'] = "Tomorrow";
$MSG['1012'] = "in 3 Days";
$MSG['1013'] = "in 5 Days";
$MSG['1014'] = "Sort by";
$MSG['1015'] = "Items Ending First";
$MSG['1016'] = "Newly Listed Items First";
$MSG['1017'] = "Lowest Prices First";
$MSG['1018'] = "Highest Prices First";
$MSG['1020'] = "Dutch Auction";
$MSG['1021'] = "Standard Auction";
$MSG['1022'] = "SSL Support";
$MSG['1023'] = "Activate SSL support?";
$MSG['1024'] = "<p>If you have SSL support on the server where you are running WeBid, you may want to give your customers a safer environment to operate.</p>Once The SSL Support is activated, your users will operate under secure HTTPS transactions when they log in or register.";
$MSG['1025'] = "SSL settings updated";
$MSG['1028'] = "Counteries updated";
$MSG['1029'] = "Counters updated";
$MSG['1030'] = "Re-sync the user, auction and bid counters";
$MSG['1031'] = "Re-sync Counters";
$MSG['1032'] = "no winner";
$MSG['5003'] = "Site Settings";
$MSG['5004'] = "Currencies Settings";
$MSG['5005'] = "General Layout Settings";
$MSG['5006'] = "Picture Gallery Settings Updated";
$MSG['5008'] = "Site Currency";
$MSG['5010'] = "Currencies Converter";
$MSG['5011'] = "Home Page Featured Items";
$MSG['5012'] = "This is the number of featured items to show in the Home Page (NOTE: ONLY <b>featured</b> items will be displayed).<br>0 (zero) is permitted.";
$MSG['5013'] = "Last Created Items";
$MSG['5014'] = "This is the number of most recent items to show in the Home Page.<br>0 (zero) is permitted.";
$MSG['5015'] = "Higher Bids";
$MSG['5016'] = "This is the number of items to show in the Higher Bids list in the Home Page.<br>0 (zero) is permitted.";
$MSG['5017'] = "Next Ending";
$MSG['5018'] = "This is the number of items to show in the Next Ending list in the Home Page.<br>0 (zero) is permitted.";
$MSG['5019'] = "General Layout Settings Updated";
$MSG['5022'] = "USERS SEARCH";
$MSG['5023'] = "Search &gt;&gt;";
$MSG['5024'] = "Name, username or e-mail";
$MSG['5025'] = "Account";
$MSG['5028'] = "Action";
$MSG['5029'] = "GO >>";
$MSG['5030'] = "Message Boards";
$MSG['5031'] = "New Message Board";
$MSG['5032'] = "Message Boards Management";
$MSG['5033'] = "MESSAGE BOARDS LIST";
$MSG['5034'] = "Board Title";
$MSG['5035'] = "Messages to show";
$MSG['5036'] = "This is the number of most recent messages to show for this message board.";
$MSG['5038'] = "Active";
$MSG['5039'] = "Inactive";
$MSG['5040'] = "NOTE: deleting a message board will delete all the associated messages.";
$MSG['5043'] = "# MSGS";
$MSG['5044'] = "Selected boards removed";
$MSG['5046'] = "SHOW";
$MSG['5047'] = "Message Boards Settings";
$MSG['5048'] = "Activate Message Boards Service?";
$MSG['5051'] = "Message Boards Settings Updated";
$MSG['5052'] = "Edit Message Board";
$MSG['5053'] = "Last Message";
$MSG['5056'] = "You are not logged in.<br>If you post a message it will appear as posted by <b><I>Unknown user</I></b>.";
$MSG['5057'] = "Post Message";
$MSG['5058'] = "Back to message boards";
$MSG['5059'] = "Messages";
$MSG['5060'] = "Posted by ";
$MSG['5061'] = "Unknown user";
$MSG['5062'] = "View all messages";
$MSG['5063'] = "View Messages";
$MSG['5064'] = "Back to message board";
$MSG['5065'] = "Delete all messages older than";
$MSG['5067'] = "Update Counters ";
$MSG['5068'] = "Words Filter";
$MSG['5069'] = "The Words Filter option gives you the possibility to eliminate undesired words from:
<ul>
<li>TITLE and DESCRIPTION of the auctions.</li>
<li>Messages posted to the message boards</li>
</ul>";
$MSG['5070'] = "Enable Words Filter?";
$MSG['5071'] = "Undesired words list";
$MSG['5072'] = "Enter the undesired words one per line (max. 255 characters per line). Note that each line will be
treated like \"one word\".";
$MSG['5073'] = "Words Filter Settings Updated";
$MSG['5074'] = "About Us Page";
$MSG['5075'] = "Terms &amp; Conditions Page";
$MSG['5076'] = "Activate this option if you want an <U>About  us</U> link to appear in the footer of your pages.";
$MSG['5077'] = "Activate About us page?";
$MSG['5078'] = "About us page content";
$MSG['5079'] = "About us Settings Updated";
$MSG['5080'] = "Note: each new line character will be converted to <b>&lt;br&gt;</b> HTML tag.";
$MSG['5081'] = "Activate this option if you want a <U>Terms &amp; Conditions</U> link to appear in the footer of your pages.";
$MSG['5082'] = "Activate Terms &amp; Conditions page?";
$MSG['5083'] = "Terms &amp; Conditions page content<br>(HTML allowed)";
$MSG['5084'] = "Terms &amp; Conditions Settings Updated";
$MSG['5085'] = "About Us";
$MSG['5086'] = "Terms &amp; Conditions";
$MSG['5087'] = "Auction Settings";
$MSG['5088'] = "Auction Settings Updated";
$MSG['5089'] = "Users can set a custom start date for auctions";
$MSG['5090'] = "Allow Custom Start Date?";
$MSG['5091'] = "Hours until auction ends count-down";
$MSG['5092'] = "Auction Search";
$MSG['5093'] = "Title, Description";
$MSG['5094'] = "View auctions";
$MSG['5095'] = "Hours remaining on an auction until the time remaining becomes an automatic countdown timer";
$MSG['5113'] = "Change";
$MSG['5115'] = "days";
$MSG['5117'] = "Page";
$MSG['5118'] = "of";
$MSG['5119'] = "&lt;&lt;Prev";
$MSG['5120'] = "Next&gt;&gt;";
$MSG['5138'] = "Note: you can use the currency of your choice throughout the site.<br>
All the amounts users will have to pay at PayPal will be automatically converted to USD using today's rate of exchange before being sent to the PayPal server.";
$MSG['5140'] = "Account Management";
$MSG['5141'] = "Access Statistics";
$MSG['5142'] = "Settings";
$MSG['5143'] = "View Access Statistics";
$MSG['5144'] = "Please, choose below if you want WeBid to generate access statistics for your site.";
$MSG['5145'] = "Generate user access statistics";
$MSG['5146'] = "Generate browser and platform statistics";
$MSG['5148'] = "Statistics Settings Updated.";
$MSG['5149'] = "Activate Statistics?";
$MSG['5150'] = "Select which type of statistics you want to generate";
$MSG['5155'] = "Browsers";
$MSG['5156'] = "Platforms";
$MSG['5157'] = "Domains";
$MSG['5158'] = "Access Statistics for ";
$MSG['5159'] = "Day";
$MSG['5160'] = "View historic";
$MSG['5161'] = "Page views";
$MSG['5162'] = "Unique visitors";
$MSG['5163'] = "User sessions";
$MSG['5164'] = "Totals";
$MSG['5165'] = "View Browser Statistics";
$MSG['5167'] = "Browser Statistics for ";
$MSG['5169'] = "Browser";
$MSG['5170'] = "Domain";
$MSG['5180'] = "User";
$MSG['5181'] = "Add &gt;&gt;";
$MSG['5182'] = "Search user (nick, name or e-mail)";
$MSG['5183'] = "users found";
$MSG['5184'] = "SELECT";
$MSG['5185'] = "Nick";
$MSG['5187'] = "Edit content of list: ";
$MSG['5188'] = "Delete selected users";
$MSG['5189'] = "Submit Auction";
$MSG['5190'] = "Reset Fields";
$MSG['5199'] = "Confirm bid";
$MSG['5200'] = "Post question";
$MSG['5201'] = "Post message";
$MSG['5202'] = "Add to your watch list";
$MSG['5202_0'] = "Remove from your watch list";
$MSG['5204'] = "Insert";
$MSG['5205'] = "Enable/Disable";
$MSG['5220'] = "Max. 255 chars";
$MSG['5221'] = "Highlighted items background";
$MSG['5222'] = "<b>NOTE: Home page featured items are shown in the home page, in rows of two auctions wide, so this number should be an even number.</b>";
$MSG['5223'] = "Thumbnail width (This is best set at 195 pixels or less )";
$MSG['5224'] = "pixels";
$MSG['5225'] = "Home Page Featured Auctions";
$MSG['5227'] = "View Suspended Auctions";
$MSG['5228'] = "Show Home Page Logo?";
$MSG['5230'] = "FAQs Categories";
$MSG['5231'] = "New FAQ";
$MSG['5232'] = "Manage FAQs";
$MSG['5233'] = "Other Settings";
$MSG['5234'] = "Insert New Category";
$MSG['5235'] = "<b>Note</b>: only categories with no FAQs can be deleted.";
$MSG['5236'] = "FAQs";
$MSG['5237'] = "CAT. ID";
$MSG['5238'] = "FAQ's category";
$MSG['5239'] = "Question";
$MSG['5240'] = "Answer<br>(HTML allowed)";
$MSG['5241'] = "Edit FAQ";
$MSG['5243'] = "Help Index";
$MSG['5244'] = "AUCTIONS MANAGEMENT";
$MSG['5245'] = "Top";
$MSG['5276'] = "Delete Message";
$MSG['5277'] = "Back to Messages List";
$MSG['5278'] = "Edit Message";
$MSG['5279'] = "Back to the user list";
$MSG['5280'] = "Years/Months";
$MSG['5281'] = "Monthly Report";
$MSG['5282'] = "View current month";
$MSG['5283'] = "Edit FAQs Category";
$MSG['5284'] = "Category Name";
$MSG['5285'] = "Daily Report";
$MSG['5291'] = "Active users";
$MSG['5292'] = "Account never confirmed";
$MSG['5293'] = "Sign up fee not paid";
$MSG['5294'] = "Suspended by the admin";
$MSG['5295'] = "View";
$MSG['5296'] = "All users";
$MSG['5297'] = "Balance over debt limit";
$MSG['5299'] = "Limit submission to";
$MSG['5300'] = " messages sent.";
$MSG['5318'] = "View Platform Statistics";
$MSG['5322'] = "Default country";
$MSG['5321'] = "You can select a default country for your site.<br>It will automatically appear as the selected country in the countries select box throughout the site.";
$MSG['5323'] = "Default country updated";
$MSG['5408'] = "Max. ";
$MSG['5431'] = "Send me a new password";
$MSG['5436'] = "Tools";
$MSG['5438'] = "Platform Statistics for ";
$MSG['5492'] = "items";
$MSG['5493'] = "bid";
$MSG['5494'] = "bid for ";
$MSG['5495'] = "for each ";
$MSG['5506'] = "Positive feedback: ";
$MSG['5507'] = "<font color=red>Negative feedback: </font>";
$MSG['5508'] = "Member since ";
$MSG['5509'] = "Feedback times ";
$MSG['_0001'] = "Under Maintenance Page";
$MSG['_0002'] = "You can temporary disable the access to your site if necessary.<br>
			In Maintenance mode only one user will have access to it. After you registered a user via <a target=\"_new\" href=\"../register.php\">the usual users registration page</a>
			, insert below the username. After switching the site to Maintenance mode <a target=\"_new\" href=\"../user_login.php\">login here</a> to access the site.";
$MSG['_0004'] = "Under Maintenance HTML code";
$MSG['_0005'] = "Under Maintenance settings updated";
$MSG['_0006'] = "Switch site to \"Under Maintenance\" mode?";
$MSG['_0008'] = "Banners Administration";
$MSG['_0010'] = "BANNERS";
$MSG['_0012'] = "Users Management";
$MSG['_0014'] = "WeBid banners system retrieves banners on a random basis from the database, after applying the
			filters you set when you inserted the banner.
			<br>The first thing to set is which banner size will be used:";
$MSG['_0015'] = "Any size";
$MSG['_0016'] = "Fixed size (please specify)";
$MSG['_0017'] = "Width";
$MSG['_0018'] = "Height";
$MSG['_0022'] = "Company";
$MSG['_0024'] = "Manage Banners";
$MSG['_0025'] = "Banners";
$MSG['_0026'] = "Add user";
$MSG['_0028'] = "Delete selected users (banners will be deleted)";
$MSG['_0029'] = "Select banner";
$MSG['_0030'] = "URL";
$MSG['_0031'] = "Text under banner";
$MSG['_0032'] = "ALT text";
$MSG['_0033'] = "<b>Filters</b>";
$MSG['_0035'] = "Keywords";
$MSG['_0036'] = "Accepted formats: GIF, JPG, PNG, SWF";
$MSG['_0037'] = "Complete URL including http://";
$MSG['_0038'] = "Can be left blank";
$MSG['_0039'] = "You have the ability to filter the banners rotations with two different criteria:
			<ul>
			<li><b>Categories</b>: select below one or more categories. The banner will appear only when the selected categories are visible (i.e. browsing categories, auction page)
			<li><b>Keywords</b>: enter one or more keywords (one per line). The banner will only appear in those auctions page where at least one keyword is contained in the item's title or description
			</ul>
			The <b>Categories</b> filter will be applied in the browse categories pages and in the items' pages.<br>
			The <b>Keywords</b> filter will be only applied in the auctions page.<br>
			If none of the filters applied match, a random banner (among those with no filters associated) will be shown.";
$MSG['_0040'] = "Add banner";
$MSG['_0041'] = "<b>New banner</b>";
$MSG['_0042'] = " (required)";
$MSG['_0043'] = "<b>User Banners</b>";
$MSG['_0044'] = "Please insert a valid URL";
$MSG['_0045'] = "Views purchased";
$MSG['_0046'] = "Zero or blank means unlimited views";
$MSG['_0047'] = "%s already exists";
$MSG['_0048'] = "Wrong file type. Allowed formats: GIF, JPG, PNG, SWF";
$MSG['_0049'] = "Views:";
$MSG['_0050'] = "URL:";
$MSG['_0051'] = "Clicks:";
$MSG['_0052'] = "View filters";
$MSG['_0053'] = "<b>Categories</b>";
$MSG['_0054'] = "<b>Keywords</b>";
$MSG['_0055'] = "Edit Banner";
$MSG['_0056'] = "New banner";
$MSG['_0148'] = "Auction relisting";
$MSG['_0151'] = " times";
$MSG['_0153'] = "Relists / <br>Relisted";
$MSG['_0161'] = "Automatic Relists";
$MSG['_0162'] = "You can choose to automatically relist your auction, if no bids have been posted.";
$MSG['_0163'] = "View Winners";

$MSG['2_0004'] = "View User's IPs";
$MSG['2_0005'] = "Sign up IP";
$MSG['2_0006'] = "Ban";
$MSG['2_0007'] = "Accept";
$MSG['2_0009'] = "IP Address";
$MSG['2_0012'] = "<FONT COLOR=GREEN><b>Accepted</b></FONT>";
$MSG['2_0013'] = "<FONT COLOR=red><b>Banned</b></FONT>";
$MSG['2_0015'] = "Process Selection";
$MSG['2_0017'] = "IP Addresses";
$MSG['2_0020'] = "IP Ban Management";
$MSG['2_0021'] = "Ban this IP address: ";
$MSG['2_0024'] = "(Complete IP address - example: 185.39.51.63)";
$MSG['2_0025'] = "Manually entered";
$MSG['2_0026'] = "We're sorry but, for one or more reasons, you have been denied access to
				this site.<br>
				If you had any active auctions listed, we have cancelled all bids and
				removed the item(s) from our database.
				<br><br>
				Thank you";
$MSG['2_0027'] = "Your IP has been banned";
$MSG['2_0032'] = "Auction Extension Settings";
$MSG['2_0034'] = "Enable Auctions Auto extension?";
$_CUSTOM_0032 = "Auctions Auto extension gives you the ability to automatically extend by <b>X</b> seconds the auctions end time,
				if someone bids in the last <b>Y</b> seconds of the auction lifetime.<br>";
$MSG['2_0035'] = "Extend auction by ";
$MSG['2_0036'] = " seconds if someone bid during the last ";
$MSG['2_0037'] = " seconds";
$MSG['2_0038'] = "Please enter valid numeric values";
$MSG['2__0001'] = "Choose language";
$MSG['2__0002'] = "Multilingual support";
$MGS_2__0003 = "<br>The default language is English.<br>
				If you want to enable multilingual support or change the default language you must follow the steps below:
				<UL>
				<LI>If you want to add a new language make a duplicate of language/EN and name it with the
				appropriate name: i.e. if you are translating to French you will need to name the directory FR
				<br>
				The first thing is to define the characters encoding your language requires at the top of the messages file.
				The variable you must edit is <FONT FACE=courier>\$CHARSET</FONT>. UTF-8 encoding should work with almost all the languages.<br>
				Next you'll have to define the document reading direction. The variable to modify is <FONT FACE=courier>\$DOCDIR</FONT>
				and can have two possible values:
				<UL>
				<LI><b>ltr</b> (left-to-right): this is the default and means the text must be read from left to right
				<LI><b>rtl</b> (right-to-left): means the text must be read from right to left (i.e. Arabian, Hebrew, etc)
				</UL>
				Once changed <FONT FACE=courier>\$CHARSET</FONT> and <FONT FACE=courier>\$DOCDIR</FONT> according to the language you are translating into,
				 you will have to translate all the error messages and user interface messages contained in the messages file.
				
				<LI>You will then need the flag(s) GIFs for the languages you are going to use, in the includes/flags directory. 
				Get the flag(s) you need and change the file name(s) to be XX.gif, where XX is the language code for your country language.
				<br>Copy the renamed flag file(s) in the includes/flags/ directory.
				<br><b>Note:</b> for each translation, you need the corresponding XX.gif file in includes/flags/
				<LI>Select the default language below. All the other available languages will be available in the home page (the corresponding flags will be shown).
				</UL>
				";
$MGS_2__0004 = "Default language";
$MSG['2__0005'] = "<FONT COLOR=RED><b>Current default language</b></FONT>";
$MSG['2__0016'] = "Starting date";
$MSG['2__0025'] = "Buy it now";
$MSG['2__0027'] = "All";
$MSG['2__0028'] = "Select All";
$MSG['2__0029'] = "You have no messages";
$MSG['2__0030'] = " means the entry cannot be deleted because it's in use.";
$MSG['2__0031'] = "Are you sure you want to delete these messages?";
$MSG['2__0037'] = "Submit auction";
$MSG['2__0038'] = "Select your category";
$MGS_2__0039 = "If you lost your password, please enter in your username or e-mail address below.";
$MGS_2__0040 = "Username or e-mail address";
$MSG['2__0041'] = "Select secondary category";
$MGS_2__0045 = " pixels ";
$MSG['2__0047'] = "SELECT CATEGORY &gt;&gt;";
$MSG['2__0048'] = "Close Now!";
$MSG['2__0050'] = "Sell similar";
$MSG['2__0051'] = "Relist";
$MGS_2__0054 = "<b><FONT COLOR=red>Already selected</FONT></b>";
$MSG['2__0056'] = "Suspended auctions";
$MSG['2__0057'] = "Show counters";
$MGS_2__0058 = "You can decide to show some counters in the header of your site's pages.<br>
				There are three different counters available:
				<ul>
				<li>Active auctions</li>
				<li>Registered users</li>
				<li>Online users</li>
				</ul>
				You can enable/disable each counter below";
$MGS_2__0059 = "Online users";
$MGS_2__0060 = "Active auctions";
$MGS_2__0061 = "Registered users";
$MGS_2__0062 = "Counters you want to show";
$MGS_2__0063 = "Counters Settings Updated";
$MSG['2__0064'] = "USERS ONLINE";
$MGS_2__0066 = "Enabled";
$MGS_2__0067 = "Disabled";
$MSG['25_0001'] = "WINNER";
$MSG['25_0002'] = "SELLER";
$MSG['25_0004'] = "User name";
$MSG['25_0005'] = 'User Registration Fields';
$MSG['25_0006'] = "Final bid";
$MSG['25_0008'] = "Preferences";
$MSG['25_0009'] = "Interface";
$MSG['25_0010'] = "Users";
$MSG['25_0011'] = "Advertisement";
$MSG['25_0012'] = "Fees";
$MSG['25_0015'] = "Send Newsletter";
$MSG['25_0018'] = "Contents";
$MSG['25_0023'] = "Statistics";
$MSG['25_0025'] = "Settings Overview";
$MSG['25_0026'] = "Batch Process (cron.php)";
$MSG['25_0027'] = "Be sure to set up a cronjob to run cron.php periodically (15 minutes is usually a good time interval).";
$MSG['25_0031'] = "Statistics";
$MSG['25_0032'] = " minutes";
$MSG['25_0033'] = " seconds";
$MSG['25_0035'] = "Time Correction";
$MSG['25_0036'] = "GMT";
$MSG['25_0037'] = " hours";
$MSG['25_0038'] = "Counters shown in the header:<br>";
$MSG['25_0040'] = "Pages Alignment";
$MSG['25_0041'] = "Shown on Home Page";
$MSG['25_0042'] = "Login Box";
$MSG['25_0043'] = "News Box";
$MSG['25_0044'] = "News Shown";
$MSG['25_0045'] = "Thumbnails Width";
$MSG['25_0048'] = "Other thumbnails: ";
$MSG['25_0049'] = "Newsletter Subscription";
$MSG['25_0055'] = "Registered Active Users";
$MSG['25_0056'] = "Suspended Users";
$MSG['25_0057'] = "Live Auctions";
$MSG['25_0059'] = "Bids on live auctions";
$MSG['25_0063'] = "Today's Accesses";
$MSG['25_0071'] = "Item specifications";
$MSG['25_0074'] = "Resend e-mail";
$MSG['25_0075'] = "Resend Signup Confirmation E-mail";
$MSG['25_0076'] = "Resend E-mail";
$MSG['25_0077'] = "No HTML allowed";
$MSG['25_0078'] = "E-mail sent to ";
$MSG['25_0079'] = "Newsletter";
$MSG['25_0080'] = "Summary";
$MSG['25_0081'] = "My Account";
$MSG['25_0082'] = "Selling";
$MSG['25_0083'] = "Buying";
$MSG['25_0084'] = "Add a new item keyword";
$MSG['25_0085'] = "Remember me";
$MSG['25_0086'] = "By clicking the button below, you commit to pay the full <b id=\"bidcost\">%s</b> thus buying the item from the seller if you are the winning bidder";
$MSG['25_0087'] = "You have been outbid";
$MSG['25_0088'] = "You are the current highest bidder";
$MSG['25_0089'] = "Congratulations, the item is yours. Please pay now";
$MSG['25_0107'] = "Thumbnails Size";
$MSG['25_0108'] = "Home Page Thumbnails";
$MSG['25_0109'] = "Categories Thumbnails";
$MSG['25_0110'] = "Acceptance Text";
$MSG['25_0115'] = "Pending auctions";
$MSG['25_0116'] = "Will start";
$MSG['25_0117'] = "Will end";
$MSG['25_0118'] = "Start now!";
$MSG['25_0119'] = "Sold Items";
$MSG['25_0121'] = "Closed on";
$MSG['25_0133'] = "I want to register as";
$MSG['25_0134'] = "<b>Seller</b> (can sell and bid for items)";
$MSG['25_0135'] = "<b>Buyer only</b> (can only bid for items)";
$MSG['25_0136'] = "Requires administrator's approval";
$MSG['25_0137'] = "You must select an account type (seller or buyer)";
$MSG['25_0138'] = "Sellers";
$MSG['25_0139'] = "Buyers";
$MSG['25_0140'] = "Your account is a buyer account. No selling activity is allowed.<br> If you want to switch to a <b>seller account</b> ";
$MSG['25_0141'] = "send a request to the site administrator";
$MSG['25_0142'] = "Request sent to the site's administrator.";
$MSG['25_0143'] = "Your account is a buyer account. No selling activity is allowed.<br> You already sent a request to switch to a <b>seller account</b>: your request is being processed. ";
$MSG['25_0146'] = "Categories Sorting";
$MSG['25_0147'] = "The categories list in the left column of the home page, can be sorted <b>alphabetically</b> or on the number of auctions contained in each category (<b>categories counters</b>).<br>
			Choose below the sorting method you want to have";
$MSG['25_0148'] = "Alphabetically";
$MSG['25_0149'] = "Categories counters";
$MSG['25_0150']= "Categories Sorting Settings Updated";
$MSG['25_0151'] = "Users Authentication";
$MSG['25_0151_a'] = "Users Confirmation Method";
$MSG['25_0152'] = "If this is enabled the users will be asked to enter their password before completing actions such as leaving feedback, submitting an auction or leaving a bid.";
$MSG['25_0152_a'] = "On WeBid each users account must be activated before it can be used. Choose which method you want to use";
$MSG['25_0152_b'] = "The admin must activate each account.";
$MSG['25_0152_c'] = "User must activate their own account";
$MSG['25_0152_d'] = "Users account is automatically activated on registration (not recommended)";
$MSG['25_0157'] = "Your background image";
$MSG['25_0166'] = "Back to auction";
$MSG['25_0167'] = "icon";
$MSG['25_0169'] = "Membership Levels";
$MSG['25_0169a'] = "Check Version";
$MSG['25_0170'] = "Edit, delete or add membership levels using the form below. \"Points\" means up limit (min level is implicit), \"membership\" is the name of the level, \"icon\" is the name of the icon corresponding to the level to be displayed, relative to the \"images/icons/\" directory";
$MSG['25_0171'] = "Points owed";
$MSG['25_0172'] = "membership type";
$MSG['25_0176'] = "CONVERT NOW!";
$MSG['25_0177'] = "for";
$MSG['25_0178'] = "HTML meta Tags";
$MSG['25_0180'] = "Meta Description Tag";
$MSG['25_0181'] = "Meta Keywords Tag";
$MSG['25_0182'] = "The Meta Description Tag is usually used to describe your pages in the search results pages search engines show.<br>
				Enter the text which better describes your site below.";
$MSG['25_0184'] = "The Meta Keywords Tag gives some search engines additional information to use to index your site.<br>
				Enter the your keywords below separated by comas (i.e. books, books auctions, book sales).";
$MSG['25_0185'] = "Meta Tags Settings Updated";
$MSG['25_0186'] = "Pictures Upload";
$MSG['25_0187'] = "Enter the maximum allowed size (in Kbytes) of the pictures sellers can upload for each auction.";
$MSG['25_0188'] = "Auctions notification e-mails";
$MSG['25_0189'] = "As a seller, you can choose to receive one notification e-mail for each auction which closes, or to receive an e-mail once a day reporting all the closed auctions on that day.<br>
				The second option is usually necessary if you have a huge number of auctions.<br>Finally you can also choose not to receive any notification e-mail but this choice is not recommended.";
$MSG['25_0190'] = "Receive <b>one</b> e-mail for each closing auction";
$MSG['25_0191'] = "Receive one cumulative e-mail once a day";
$MSG['25_0192'] = "E-mails notification options updated";
$MSG['25_0193'] = "Do not receive any e-mail";
$MSG['25_0195'] = "You can choose to receive a notification e-mail for each auction you set up or to not receive it.";
$MSG['25_0196'] = "Receive the <b>auction setup confirmation e-mail</b>.";
$MSG['25_0197'] = "Do not Receive the <b>auction setup confirmation e-mail</b>.";
$MSG['25_0199'] = "Closing auctions resume";
$MSG['25_0209'] = "Sell under price";
$MSG['25_0214'] = "Search also closed auctions: ";
$MSG['25_0215'] = "Shipping terms";
$MSG['25_0216'] = "Contact the seller";
$MSG['25_0217'] = "Giving anybody the option to contact sellers through your website is not recommended. For this reason WeBid
				gives you the ability to decide if sellers can be contacted by users browsing your site or not.";
$MSG['25_0218'] = "Any visitor can contact the seller (the ability to contact the seller will be ALWAYS shown)";
$MSG['25_0219'] = "Only logged in users can contact the seller (the ability to contact the seller will be shown only to other users of your site if logged in)";
$MSG['25_0220'] = "Nobody can contact the seller (the ability to contact the seller will NEVER be shown)";
$MSG['25_0223'] = "Feedback you've received";

// multi-language months
$MSG['MON_001'] = "Jan";
$MSG['MON_001E'] = "January";
$MSG['MON_002'] = "Feb";
$MSG['MON_002E'] = "February";
$MSG['MON_003'] = "Mar";
$MSG['MON_003E'] = "March";
$MSG['MON_004'] = "Apr";
$MSG['MON_004E'] = "April";
$MSG['MON_005'] = "May";
$MSG['MON_005E'] = "May";
$MSG['MON_006'] = "Jun";
$MSG['MON_006E'] = "June";
$MSG['MON_007'] = "Jul";
$MSG['MON_007E'] = "July";
$MSG['MON_008'] = "Aug";
$MSG['MON_008E'] = "August";
$MSG['MON_009'] = "Sep";
$MSG['MON_009E'] = "September";
$MSG['MON_010'] = "Oct";
$MSG['MON_010E'] = "October";
$MSG['MON_011'] = "Nov";
$MSG['MON_011E'] = "November";
$MSG['MON_012'] = "Dec";
$MSG['MON_012E'] = "December";

$MSG['26_0000'] = "Set Default";
$MSG['26_0001'] = "Bids history";
$MSG['26_0002'] = "Manage Themes";
$MSG['26_0003'] = "Edit Theme Files";
$MSG['26_0004'] = "Add Theme File";
$MSG['26_0005'] = "Default Theme Updated";
$MSG['30_0029'] = "You can set below the number of categories you want to be shown in the left column of the home page";
$MSG['30_0030'] = "Categories to show: ";
$MSG['30_0031'] = "Clear Cache";
$MSG['30_0032'] = "Delete all the template cache files, you will need to do this each time you edit a template file";
$MSG['30_0033'] = "Cache cleared";
$MSG['30_0049'] = "Newsletter Settings Updated";
$MSG['30_0053'] = "<p>Some free e-mail services have been banned from this website. Please do not enter e-mail addresses belonging to the following domains:</p>";
$MSG['30_0055'] = "The newsletter sent through WeBid will be sent automatically in <B>HTML</B>, so, it is necessary to add a tag <CODE>&lt;BR&gt;</CODE> tags for each new line you are going to add. Otherwise, the message will look like a single line of text without format.";
$MSG['30_0062'] = "Please enter at least 4 characters";
$MSG['30_0063'] = "Buy it now only?";
$MSG['30_0064'] = "Activate <b>Buy it now only</b> auctions?";
$MSG['30_0065'] = "Enabling the <b>Buy it now only</b> option you'll give your sellers the ability to set up auctions for which it will not be possible to place any bid, but only use the <b>Buy it now</b> feature (fixed price auctions).<br><b>Note:</b> the <b>Buy it now only</b> option will only take effect if <b>Buy it now</b> is enabled.";
$MSG['30_0066'] = "Buy it now only settings updates";
$MSG['30_0067'] = "<B>Buy it now only</B> auction";
$MSG['30_0069'] = "Seller: edit this auction";
$MSG['30_0070'] = "Search only in this category";
$MSG['30_0080'] = "Payment Options";
$MSG['30_0081'] = "Viewed ";
$MSG['30_0084'] = "You can decide to have the winners address included in the notification e-mail sent to the seller when an auction closes. Just enable or disable this option below.";
$MSG['30_0085'] = "Include winners' address in e-mails?";
$MSG['30_0086'] = "Address: ";
$MSG['30_0087'] = "Are you sure you want to process the selected auctions?";
$MSG['30_0098'] = "&nbsp; = Outbid";
$MSG['30_0100'] = "<B>Buy it now!</B> auctions";
$MSG['30_0101'] = "<B>Buy it now only</B> auctions";
$MSG['30_0102'] = "Check/Uncheck All";
$MSG['30_0176'] = "View Winners";
$MSG['30_0177'] = "Auction ended";
$MSG['30_0178'] = "&nbsp;&nbsp;No winners found for this auction";
$MSG['30_0179'] = "Winning bid";
$MSG['30_0180'] = "Complete Bid History";
$MSG['30_0181'] = "Message Board";
$MSG['30_0208'] = "Place bid >>";
$MSG['30_0209'] = "Meet the seller";
$MSG['30_0210'] = "*When items relating to these key words are added you will be notified via email";
$MSG['30_0211'] = "You are running an old version you can download the latest version from <a href='http://sourceforge.net/project/showfiles.php?group_id=181393'>here</a>";
$MSG['30_0212'] = "You are running the latest version";
$MSG['30_0213'] = "No feedback needs leaving";
?>